#include <bits/stdc++.h>

using namespace std;

#define SZ(x) ((int)(x).size())
const int N = 3e5 + 10;

int tree[N][26];
int fail[N];
int word[N];
int p[N], h[N];
int treesz, root;

int nwords;
char S[N];
char buf[N];
int nxt[N];

void build() {
  queue<int> q;
  q.push(root);
  fail[root] = root;
  puts("HERE");
  while(!q.empty()) {
    int u = q.front(); q.pop();
    for(int t = 0; t < 26; t++) {
      int v = tree[u][t];
      if(v == 0) continue;

      h[v] = h[u] + 1;
      q.push(v);

      int w = fail[u];
      while(w != root && tree[w][t] == 0) {
	w = fail[w];
      }
      if(w != root && tree[w][t])
	w = tree[w][t];
      fail[v] = w;
    }

    nxt[u] = word[u] ? u : nxt[fail[u]];
  }
  puts("HERE");
}



const int INF=1e9;
int dp[N];

int main() {
  scanf("%d%s", &nwords, S);

  root = ++treesz;
  for(int i = 0; i < nwords; i++) {
    scanf("%s", buf);

    int u = root;
    for(char* p = buf; *p; p++) {
      int j = *p - 'a';
      int& v = tree[u][j];
      if(v == 0) {
	v = ++treesz;
      }
      u = v;
    }
    word[u] = 1;
  }

  printf("treesz=%d\n", treesz);

  build();

  int n = strlen(S);
  int u = root;

  fill(dp, dp + n + 1, INF);
  dp[0] = 0;

  for(int i = 1; i <= n; i++) {
    int t = S[i-1] - 'a';

    while(u != root && tree[u][t] == 0) {
      u = fail[u];
    }
    if(tree[u][t]) u = tree[u][t];

    int d = h[nxt[u]];

    for(int j = i - d; j < i; j++) {
      dp[i] = min(dp[i], dp[j] + 1);
    }
  }
  if(dp[n] == INF) dp[n] = -1;
  printf("%d\n", dp[n]);

  return 0;
}

