#include <bits/stdc++.h>
using namespace std;


typedef long long ll;


#define SHIFT(x, k) ((x) >> (k))
#define SEASON(x, k) ((x) | SHIFT(x, k))

#define REP(i, k) for(int (i) = 0; (i) < (k); (i)++) 

int n;

bool dfs(ll mask, int d) {
  if(mask == (1LL<<n)-1) {
    return true;
  }
  if(d == 0) {
    return false;
  }
  for(int i = 1; i <= n - 1; i++) {
    if(dfs(SEASON(mask, i), d - 1)) {
      return true;
    }
  }
  return false;
}

int main() {
  ll mask = 0;
  char s[123];
  scanf("%s", s);
  n = strlen(s);
  for(int i = 0; i < n; i++) 
    if(s[n-i-1] == '1')
      mask |= 1LL << i;

  if(s[0] != '1') {
    puts("-1");
  } else {
    for(int d = 0; ; d++) {
      // printf("d=%d\n", d);
      if(dfs(mask, d)) {
	printf("%d\n", d);
	break;
      }
    }
  }


  return 0;
}

